LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdb::tools::CompositionType Constant Group Reference

specifies which composition should be used when composing a table name. More...

## Variables
const long | ForTableDefinitions = 0
| specifies composition of a name to be used in table definitions More...
const long | ForIndexDefinitions = 1
| specifies composition of a name to be used in index definitions More...
const long | ForDataManipulation = 2
| specifies composition of a name to be used in data manipulation More...
const long | ForProcedureCalls = 3
| specifies composition of a name to be used in procedure calls More...
const long | ForPrivilegeDefinitions = 4
| specifies composition of a name to be used in privilege definitions More...
const long | Complete = 5
| specifies complete composition of a table name, including catalog and schema (if present), disregarding any database support for catalog and schema in any particular statements More...

## Detailed Description

specifies which composition should be used when composing a table name.

See also
  XTableName

Since
  OOo 2.0.4

## Variable Documentation

## ◆ Complete

const long Complete = 5

specifies complete composition of a table name, including catalog and schema (if present), disregarding any database support for catalog and schema in any particular statements

## ◆ ForDataManipulation

const long ForDataManipulation = 2

specifies composition of a name to be used in data manipulation

See also
  XDatabaseMetaData::supportsCatalogsInDataManipulation
  XDatabaseMetaData::supportsSchemasInDataManipulation

## ◆ ForIndexDefinitions

const long ForIndexDefinitions = 1

specifies composition of a name to be used in index definitions

See also
  XDatabaseMetaData::supportsCatalogsInIndexDefinitions
  XDatabaseMetaData::supportsSchemasInIndexDefinitions

## ◆ ForPrivilegeDefinitions

const long ForPrivilegeDefinitions = 4

specifies composition of a name to be used in privilege definitions

See also
  XDatabaseMetaData::supportsCatalogsInPrivilegeDefinitions
  XDatabaseMetaData::supportsSchemasInPrivilegeDefinitions

## ◆ ForProcedureCalls

const long ForProcedureCalls = 3

specifies composition of a name to be used in procedure calls

See also
  XDatabaseMetaData::supportsCatalogsInProcedureCalls
  XDatabaseMetaData::supportsSchemasInProcedureCalls

## ◆ ForTableDefinitions

const long ForTableDefinitions = 0

specifies composition of a name to be used in table definitions

See also
  XDatabaseMetaData::supportsCatalogsInTableDefinitions
  XDatabaseMetaData::supportsSchemasInTableDefinitions